Update app session
Update app session
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
id
Request
This endpoint expects an object.
messages
An array of SessionMessage describing the current session state.
status
Values that can be specified when updating the status of a Session
Allowed values:
timeoutSeconds
Timeout in seconds, a value between 1 second and 30 days. Once set, it can only be increased, not decreased.
Response
OK
app
createdAt
id
messages
An array of SessionMessage describing the current session state.
modifiedAt
name
A brief description of the app’s actions for users. Length must be between 3-100 chars. It becomes immutable once a value is set.
status
All possible values of a Session’s status, including system-updated and user-updated values.
Allowed values:
timeoutSeconds
Timeout in seconds, a value between 1 second and 30 days. Once set, it can only be increased, not decreased.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error